<ion-header class="ion-no-border">
  <ion-toolbar>
    <ion-buttons slot="end">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-title text-center>Chats</ion-title>
  </ion-toolbar>
  <ion-searchbar
    placeholder="Nombre"
    (ionChange)="onSearchChange($event)"
    [debounce]="250"
    showCancelButton="250"
  ></ion-searchbar>
</ion-header>

<ion-content padding>
  <ion-list>
    <ion-item button (click)="goToPage('/menu/chat')" *ngFor="let item of data">
      <ion-avatar slot="start">
        <img src="../../assets/avatar.svg" />
      </ion-avatar>
      <ion-label>
        <h3>Item {{item}}</h3>
        <p>dolor sit amet</p>
        <p>consectetur adipiscing elit. Duis ut urna neque.</p>
      </ion-label>
      <ion-badge color="tertiary" slot="end">34k</ion-badge>
    </ion-item>
  </ion-list>

  <ion-infinite-scroll threshold="200px" (ionInfinite)="loadData($event)">
    <ion-infinite-scroll-content
      loadingSpinner="crescent"
      loadingText="Cargando..."
    >
    </ion-infinite-scroll-content>
  </ion-infinite-scroll>

  <ion-fab vertical="bottom" horizontal="end" slot="fixed">
    <ion-fab-button>
      <ion-icon name="add"></ion-icon>
    </ion-fab-button>
  </ion-fab>
</ion-content>
